# Hodnost matice

- počet nenulových řádků matice
- počet lineárně nezávislých vektorů prostoru generujícího řádky (dimenzi tohoto prostoru) a zároveň počtu lineárně nezávislých vektorů generující prostor sloupcový (dimenze tohoto prostoru)

#### Dělení matic
- **Regulární matice**
	- její hodnost se rovná jejímu řádu - $hod(A) = n$
	- její determinant je nenulový - $\det{A} \neq 0$
	- každou regulární matici lze řádkovými elementárními úpravami převést na jednotkovou matici
	- existuje k ní inverzní matice - $\mbox{existuje } A^{-1}$
- **Singulární matice**
	- její hodnost se je menší než její řádu - $hod(A) < n$
	- její determinant je 0 - $\det{A} = 0$
	- neexistuje k ní inverzní matice - $\mbox{neexistuje } A^{-1}$

### Určení hodnosti pomocí determinantu
- determinant trojúhelníkové matice je roven součinu prvků na hlavní diagonále

- determinant libovolné čtvercové podmatice řádu m se nazývá **minořem řádu** m matice A
- nechť A je matice => hod(A) = m právě tehdy, když v A existuje nenulový minor řádu m a zároveň každý minor řádu většího než m je nulový

- nechť A je čtvercová řádu n => **hod(A) = n**, **pokud det(A) se nerová 0**
	- DK: podle předchozí věty je hod(A) = n <=> v A existuje nenulový minor řádu n
	- víme, že jedinému minoru řádu n odpovídá celá matice A => **hod(A) = n** <=> **det(A) se nerovná 0**